use config::Config;
use repository::Repository;
use transcoder::Transcoder;

mod config;
mod repository;
mod transcoder;

fn main() {
  // create and initialize our config and repository objects
  let c: Config = Config::new("~/.config/adept.toml");
  let r: Repository = Repository::new(&c.get_repository());

  // create and start the video transcoder object
  let t: Transcoder = Transcoder::new(c, r);
  t.start();
}
